aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commita5334c310cf7425f3a42a27d3fe669172c1a1042 (patch)
treef7746bf08ea9d2a32b23d2df5139408162c94b62
parent60d56f3d5e67dabbbe5a14e04193965d9e5a64c6 (diff)
downloadaports-a5334c310cf7425f3a42a27d3fe669172c1a1042.tar.gz
aports-a5334c310cf7425f3a42a27d3fe669172c1a1042.tar.bz2
aports-a5334c310cf7425f3a42a27d3fe669172c1a1042.tar.xz
testing/perl-mail-spamassassin: new aport
-rw-r--r--testing/perl-mail-spamassassin/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/perl-mail-spamassassin/APKBUILD b/testing/perl-mail-spamassassin/APKBUILD
new file mode 100644
index 0000000000..9c74bff5c3
--- /dev/null
+++ b/testing/perl-mail-spamassassin/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-mail-spamassassin
+_realname=Mail-SpamAssassin
+pkgver=3.2.5
+pkgrel=0
+pkgdesc="Spam detector and markup engine"
+url="http://search.cpan.org/~jmason/Mail-SpamAssassin-3.2.5/"
+license="unknown"
+depends="perl perl-digest-sha1 perl-html-parser perl-net-dns perl-db_file
+perl-mail-spf razor"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JM/JMASON/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="7fdc1651d0371c4a7f95ac9ae6f828a6 Mail-SpamAssassin-3.2.5.tar.gz"